Δεν γίνεται αναβάθμιση πακέτων παρόλο που υπάρχουν στη λίστα  Το θέμα επιλύθηκε

Εγκατάσταση, χρήση, διαχείριση κτλ

Δημοσίευσηαπό ubuderix » Κυρ Φεβ 06, 2011 1:19 pm

Καλημερα σε ολους τους φιλους απο Θεσσαλονικη.
Προσπαθωντας μεσω τερματικου να κανω upgrade μου δειχνει ενα συνολο πακετων που δεν αναβαθμιζονται .
Αυτην την εικονα εχω
Κώδικας: Επιλογή όλων
root@ubuderix:/home/george# apt-get upgrade
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                 
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Τα ακόλουθα πακέτα θα μείνουν ως έχουν:
  aircrack-ng avant-window-navigator awn-applets-c-core
  awn-applets-python-core banshee compiz-fusion-plugins-extra emerald f-spot
  gambas2-gb-desktop gambas2-gb-form gambas2-gb-gtk gambas2-gb-gui
  gir1.0-gconf-2.0 glchess glines gnect gnibbles gnobots2 gnome-pilot-conduits
  gnome-user-share gnotravex gnotski gstreamer0.10-ffmpeg
  gstreamer0.10-plugins-bad gstreamer0.10-plugins-ugly gtali iagno ibus-m17n
  inkblot kdepimlibs5 kismet libasync-interrupt-perl libawn1 libdatetime-perl
  libemeraldengine0 libfcgi-perl libgammu7 libgsmsd7 libgtkglext1 libmoon
  libmultisync-plugin-backup libmultisync-plugin-evolution
  libmultisync-plugin-irmc libnet-ssleay-perl libnotify-bin libqt4-assistant
  libqt4-webkit libseed0 libtext-bidi-perl libwxgtk2.6-0 libwxgtk2.8-0
  lightsoff me-tv moonlight-plugin-core moonlight-plugin-mozilla mplayer
  multisync packagekit-backend-apt plymouth-x11 python-awn python-gammu
  python-libtorrent python-rpm seed swell-foop synce-trayicon timidity
  timidity-daemon unetbootin virtualbox-ose virtualbox-ose-qt vlc vlc-nox
  vlc-plugin-notify vlc-plugin-pulse xserver-xorg-video-v4l
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 76 δεν αναβαθμίζονται

Πληροφοριακα δινω και την sources.list μηπως εκει υπαρχει προβλημα
Κώδικας: Επιλογή όλων
root@ubuderix:/home/george# cat /etc/apt/sources.list /etc/apt/sources.list.d/*.list
#

# deb cdrom:[Ubuntu 10.04 _Lucid Lynx_ - Alpha amd64 (20100113)]/ lucid main restricted
# deb cdrom:[Ubuntu 9.10 _Karmic Koala_ - Release amd64 (20091027)]/ lucid main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://archive.ubuntu.com/ubuntu lucid main restricted
deb-src http://archive.ubuntu.com/ubuntu lucid restricted main multiverse universe #Added by software-properties

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu lucid-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu lucid-updates restricted main multiverse universe #Added by software-properties

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu lucid universe
deb http://archive.ubuntu.com/ubuntu lucid-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu lucid multiverse
deb http://archive.ubuntu.com/ubuntu lucid-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu lucid partner
deb-src http://archive.canonical.com/ubuntu lucid partner

deb http://security.ubuntu.com/ubuntu lucid-security main restricted
deb http://security.ubuntu.com/ubuntu lucid-security universe
deb http://security.ubuntu.com/ubuntu lucid-security multiverse
# deb http://www.sourceslist.eu/repo/ubuntu lucid main non-free
# disabled on upgrade to lucid
# deb http://extras.ubuntu.com/ubuntu lucid main
#Third party developers repository




deb http://mirrors.mit.edu/ubuntu lucid main restricted universe multiverse
deb-src http://mirrors.mit.edu/ubuntu lucid main restricted universe multiverse
deb-src http://mirrors.mit.edu/ubuntu lucid-security main restricted universe multiverse
deb http://mirrors.mit.edu/ubuntu lucid-updates main restricted universe multiverse
deb-src http://mirrors.mit.edu/ubuntu lucid-updates main restricted universe multiverse
deb http://mirrors.mit.edu/ubuntu lucid-proposed main restricted universe multiverse
deb-src http://mirrors.mit.edu/ubuntu lucid-proposed main restricted universe multiverse
deb http://mirrors.mit.edu/ubuntu lucid-backports main restricted universe multiverse
deb-src http://mirrors.mit.edu/ubuntu lucid-backports main restricted universe multiverse
deb http://mirrors.mit.edu/ubuntu lucid-security main restricted universe multiverse
deb http://ppa.launchpad.net/synce/ubuntu intrepid main
deb-src http://ppa.launchpad.net/synce/ubuntu intrepid main
deb http://archive.ubuntu.com/ubuntu maverick universe
deb http://archive.ubuntu.com/ubuntu lucid-proposed restricted main multiverse universe
deb-src http://archive.ubuntu.com/ubuntu lucid-proposed restricted main multiverse universe
deb http://archive.ubuntu.com/ubuntu lucid-backports restricted main multiverse universe
deb-src http://archive.ubuntu.com/ubuntu lucid-backports restricted main multiverse universe
deb http://ppa.launchpad.net/ailurus/ppa/ubuntu lucid main
deb http://ppa.launchpad.net/dashua/libcompizconfig/ubuntu lucid main
# deb http://ppa.launchpad.net/ferramroberto/linuxfreedomlucid/ubuntu lucid main
deb http://ppa.launchpad.net/globalmenu-team/ppa/ubuntu lucid main
### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb http://dl.google.com/linux/talkplugin/deb/ stable main
deb http://ppa.launchpad.net/jason-scheunemann/ppa/ubuntu lucid main
## Please report any bug on https://bugs.launchpad.net/medibuntu/
deb http://ppa.launchpad.net/midori/ppa/ubuntu lucid main
# This file makes sure that Opera Browser is kept up-to-date
# as part of regular system upgrades


# The line above will make sure you get all final public releases.
# Uncomment the following line if you want to get alpha and beta
# releases, too.

deb http://ppa.launchpad.net/psyke83/ppa/ubuntu lucid main
deb http://ppa.launchpad.net/sevenmachines/flash/ubuntu lucid main
deb http://ppa.launchpad.net/silverwave/one-daily-a-month-1/ubuntu lucid main
deb http://ppa.launchpad.net/tldm217/tahutek.net/ubuntu lucid main
# deb http://ppa.launchpad.net/tualatrix/ppa/ubuntu lucid main
deb http://ppa.launchpad.net/tualatrix/ppa/ubuntu lucid main #Ubuntu Tweak Stable Source
    Επιπεδο γνωσεων Linux :Προσπαθω Προγραμματισμος:Οχι Αγγλικα:Mετρια
    Λαπτοπ F/S amilo pi2530 Intel CentrinoDuo T7100 1.8ghz,2.012mb ram,160gb hd
    ubuntu 10.04 2.6.32-26-generic UTC 2010 x86_64 GNU/Linux,Mobility ati radeon X2100
    Dell Inspiron10netbook ubuntu10.04-11.04
    Εικόνα
ubuderix
babeTUX
babeTUX
 
Δημοσιεύσεις: 32
Εγγραφή: Παρ Ιουν 11, 2010 1:37 am

Δημοσίευσηαπό mixasgr » Κυρ Φεβ 06, 2011 4:18 pm

Για δοκίμασε με...
Κώδικας: Επιλογή όλων
apt-get dist-upgrade
:mrpc:
Διανομή: Xubuntu 14.04 - [Launchpad | mixasgr (κ στο Ubuntu-gr)]

Γνώσεις ⇛ Linux: Καλό ┃ Προγραμματισμός: Καλός ┃ Αγγλικά: Καλά
Λειτουργικό ⇛ Xubuntu 14.04 64bit
Υπολογιστής ⇛ E8400 (3GHz,6MB) / 6GB RAM / NVIDIA 9600gt (512MB) / Όχι Wireless / Όχι Buetooth / RealTek ALC883 HD Audio Controller / 19" SXGA
Άβαταρ μέλους
mixasgr
Διαχειριστής
Διαχειριστής
 
Δημοσιεύσεις: 307
Εγγραφή: Κυρ Οκτ 18, 2009 3:49 pm
Τοποθεσία: Θεσσαλονίκη

Δημοσίευσηαπό ubuderix » Κυρ Φεβ 06, 2011 5:07 pm

Tο εχω κανει αλλα βγαζει ακριβως τα ιδια

Κώδικας: Επιλογή όλων
root@ubuderix:/home/george#  apt-get dist-upgrade
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                 
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Υπολογισμός της αναβάθμισης... Ετοιμο
Τα ακόλουθα πακέτα θα μείνουν ως έχουν:
  aircrack-ng avant-window-navigator awn-applets-c-core
  awn-applets-python-core banshee compiz-fusion-plugins-extra emerald f-spot
  gambas2-gb-desktop gambas2-gb-form gambas2-gb-gtk gambas2-gb-gui
  gir1.0-gconf-2.0 glchess glines gnect gnibbles gnobots2 gnome-pilot-conduits
  gnome-user-share gnotravex gnotski gstreamer0.10-ffmpeg
  gstreamer0.10-plugins-bad gstreamer0.10-plugins-ugly gtali iagno ibus-m17n
  inkblot kdepimlibs5 kismet libasync-interrupt-perl libawn1 libdatetime-perl
  libemeraldengine0 libfcgi-perl libgammu7 libgsmsd7 libgtkglext1 libmoon
  libmultisync-plugin-backup libmultisync-plugin-evolution
  libmultisync-plugin-irmc libnet-ssleay-perl libnotify-bin libqt4-assistant
  libqt4-webkit libseed0 libtext-bidi-perl libwxgtk2.6-0 libwxgtk2.8-0
  lightsoff me-tv moonlight-plugin-core moonlight-plugin-mozilla mplayer
  multisync packagekit-backend-apt plymouth-x11 python-awn python-gammu
  python-libtorrent python-rpm seed swell-foop synce-trayicon timidity
  timidity-daemon unetbootin virtualbox-ose virtualbox-ose-qt vlc vlc-nox
  vlc-plugin-notify vlc-plugin-pulse xserver-xorg-video-v4l
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 76 δεν αναβαθμίζονται
    Επιπεδο γνωσεων Linux :Προσπαθω Προγραμματισμος:Οχι Αγγλικα:Mετρια
    Λαπτοπ F/S amilo pi2530 Intel CentrinoDuo T7100 1.8ghz,2.012mb ram,160gb hd
    ubuntu 10.04 2.6.32-26-generic UTC 2010 x86_64 GNU/Linux,Mobility ati radeon X2100
    Dell Inspiron10netbook ubuntu10.04-11.04
    Εικόνα
ubuderix
babeTUX
babeTUX
 
Δημοσιεύσεις: 32
Εγγραφή: Παρ Ιουν 11, 2010 1:37 am

Δημοσίευσηαπό mixasgr » Κυρ Φεβ 06, 2011 5:20 pm

ubuderix έγραψε:Tο εχω κανει αλλα βγαζει ακριβως τα ιδια


Αρκετά περίεργο... Thinking

Φαντάζομαι ότι επανεκκίνηση έχεις δοκιμάσει, μήπως λέμε έχει φρακάρει κάτι, οπότε...

Ίσως κάποιο πακέτο σκαλώνει την αναβάθμιση γιατί έχει κολλήσει κάποιο πιστοποιητικό ή gpg key...
αν και κανονικά θα έπρεπε να βγάζει κάποιο μήνυμα... Thinking

1)Δοκίμασε αν θες να κάνεις αναβάθμιση ένα πακέτο μόνο...
πχ το vlc με
Κώδικας: Επιλογή όλων
sudo apt-get install vlc

εφόσον υπάρχει/δείχνει ότι υπάρχει νεότερη έκδοση κανονικά θα προσπαθήσει να την βάλει...

2)Δοκίμασε μετά από γραφικό μέσω synaptic... αν είναι desktop

3)Δες στο /var/log/dpkg.log ή στο /var/log/messages
αν βγάζει κάτι...
Διανομή: Xubuntu 14.04 - [Launchpad | mixasgr (κ στο Ubuntu-gr)]

Γνώσεις ⇛ Linux: Καλό ┃ Προγραμματισμός: Καλός ┃ Αγγλικά: Καλά
Λειτουργικό ⇛ Xubuntu 14.04 64bit
Υπολογιστής ⇛ E8400 (3GHz,6MB) / 6GB RAM / NVIDIA 9600gt (512MB) / Όχι Wireless / Όχι Buetooth / RealTek ALC883 HD Audio Controller / 19" SXGA
Άβαταρ μέλους
mixasgr
Διαχειριστής
Διαχειριστής
 
Δημοσιεύσεις: 307
Εγγραφή: Κυρ Οκτ 18, 2009 3:49 pm
Τοποθεσία: Θεσσαλονίκη

Δημοσίευσηαπό ubuderix » Κυρ Φεβ 06, 2011 5:34 pm

Εδω κοιτα τι εγινε
Κώδικας: Επιλογή όλων
root@ubuderix:/home/george# sudo apt-get install vlc
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                 
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Μερικά πακέτα είναι αδύνατον να εγκατασταθούν. Αυτό μπορεί να σημαίνει ότι
δημιουργήσατε μια απίθανη κατάσταση ή αν χρησιμοποιείτε την ασταθή
διανομή, ότι μερικά από τα πακέτα δεν έχουν ακόμα δημιουργηθεί ή έχουν
μετακινηθεί από τα εισερχόμενα.
Οι ακόλουθες πληροφορίες ίσως βοηθήσουν στην επίλυση του προβλήματος:

Τα ακόλουθα πακέτα έχουν ανεπίλυτες εξαρτήσεις:
  vlc: Εξαρτάται από: vlc-nox (= 1.1.4-1ubuntu1) αλλά το 1.1.4-1~lffl~lucid~ppa1 πρόκειται να εγκατασταθεί
       Εξαρτάται από: libqtcore4 (>= 4:4.7.0~beta1) αλλά το 4:4.6.2-0ubuntu5.1 πρόκειται να εγκατασταθεί
       Εξαρτάται από: libva-x11-1 αλλά δεν είναι εγκαταστάσημο
       Συστήνει: vlc-plugin-notify (= 1.1.4-1ubuntu1) αλλά το 1.1.4-1~lffl~lucid~ppa1 πρόκειται να εγκατασταθεί
       Συστήνει: vlc-plugin-pulse (= 1.1.4-1ubuntu1) αλλά το 1.1.4-1~lffl~lucid~ppa1 πρόκειται να εγκατασταθεί
E: Χαλασμένα πακέτα
    Επιπεδο γνωσεων Linux :Προσπαθω Προγραμματισμος:Οχι Αγγλικα:Mετρια
    Λαπτοπ F/S amilo pi2530 Intel CentrinoDuo T7100 1.8ghz,2.012mb ram,160gb hd
    ubuntu 10.04 2.6.32-26-generic UTC 2010 x86_64 GNU/Linux,Mobility ati radeon X2100
    Dell Inspiron10netbook ubuntu10.04-11.04
    Εικόνα
ubuderix
babeTUX
babeTUX
 
Δημοσιεύσεις: 32
Εγγραφή: Παρ Ιουν 11, 2010 1:37 am

Δημοσίευσηαπό mixasgr » Κυρ Φεβ 06, 2011 5:45 pm

ubuderix έγραψε:Εδω κοιτα τι εγινε
Κώδικας: Επιλογή όλων
root@ubuderix:/home/george# sudo apt-get install vlc
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                 
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Μερικά πακέτα είναι αδύνατον να εγκατασταθούν. Αυτό μπορεί να σημαίνει ότι
δημιουργήσατε μια απίθανη κατάσταση ή αν χρησιμοποιείτε την ασταθή
διανομή, ότι μερικά από τα πακέτα δεν έχουν ακόμα δημιουργηθεί ή έχουν
μετακινηθεί από τα εισερχόμενα.
Οι ακόλουθες πληροφορίες ίσως βοηθήσουν στην επίλυση του προβλήματος:

Τα ακόλουθα πακέτα έχουν ανεπίλυτες εξαρτήσεις:
  vlc: Εξαρτάται από: vlc-nox (= 1.1.4-1ubuntu1) αλλά το 1.1.4-1~lffl~lucid~ppa1 πρόκειται να εγκατασταθεί
       Εξαρτάται από: libqtcore4 (>= 4:4.7.0~beta1) αλλά το 4:4.6.2-0ubuntu5.1 πρόκειται να εγκατασταθεί
       Εξαρτάται από: libva-x11-1 αλλά δεν είναι εγκαταστάσημο
       Συστήνει: vlc-plugin-notify (= 1.1.4-1ubuntu1) αλλά το 1.1.4-1~lffl~lucid~ppa1 πρόκειται να εγκατασταθεί
       Συστήνει: vlc-plugin-pulse (= 1.1.4-1ubuntu1) αλλά το 1.1.4-1~lffl~lucid~ppa1 πρόκειται να εγκατασταθεί
E: Χαλασμένα πακέτα


Κάποιο ή κάποια ppa... μάλλον σου προκαλούν πρόβλημα και έχουν συγκρουόμενες μεταξύ τους εξαρτήσεις. Thinking

πχ εδώ θέλει να αναβαθμίσει το vlc αλλά κάποιο ppa του λέει να αναβαθμίσει το vlc-nox σε 1.1.4-1~lffl~lucid~ppa1 που το τραβάει από κάποιο ppa και τα κάνει μπαχαλο.

Επειδή είναι αρκετά τα πακέτα θα σου πρότεινα για αρχή να κλείσεις όλα τα τρίτα repository και να κάνεις apt-get update για να ξαναφτιάξει την λίστα.
Λογικά θα πρέπει να εξαφανιστεί το πρόβλημα έτσι. Κάνε ότι αναβαθμίσεις έχει με τα βασικά repo και μετά, σταδιακά άνοιγε ένα-ένα τα τρίτα repo.
Μάλλον είναι το παραπάνω...
Διανομή: Xubuntu 14.04 - [Launchpad | mixasgr (κ στο Ubuntu-gr)]

Γνώσεις ⇛ Linux: Καλό ┃ Προγραμματισμός: Καλός ┃ Αγγλικά: Καλά
Λειτουργικό ⇛ Xubuntu 14.04 64bit
Υπολογιστής ⇛ E8400 (3GHz,6MB) / 6GB RAM / NVIDIA 9600gt (512MB) / Όχι Wireless / Όχι Buetooth / RealTek ALC883 HD Audio Controller / 19" SXGA
Άβαταρ μέλους
mixasgr
Διαχειριστής
Διαχειριστής
 
Δημοσιεύσεις: 307
Εγγραφή: Κυρ Οκτ 18, 2009 3:49 pm
Τοποθεσία: Θεσσαλονίκη

Δημοσίευσηαπό ubuderix » Κυρ Φεβ 06, 2011 5:48 pm

Eυχαριστω για την βοηθεια που μου δινεις.Θα δοκιμασω οτι μου εγραψες
    Επιπεδο γνωσεων Linux :Προσπαθω Προγραμματισμος:Οχι Αγγλικα:Mετρια
    Λαπτοπ F/S amilo pi2530 Intel CentrinoDuo T7100 1.8ghz,2.012mb ram,160gb hd
    ubuntu 10.04 2.6.32-26-generic UTC 2010 x86_64 GNU/Linux,Mobility ati radeon X2100
    Dell Inspiron10netbook ubuntu10.04-11.04
    Εικόνα
ubuderix
babeTUX
babeTUX
 
Δημοσιεύσεις: 32
Εγγραφή: Παρ Ιουν 11, 2010 1:37 am

Δημοσίευσηαπό mixasgr » Κυρ Φεβ 06, 2011 6:59 pm

ubuderix έγραψε:Eυχαριστω για την βοηθεια που μου δινεις.Θα δοκιμασω οτι μου εγραψες


Για αυτό είμαστε εδώ... ;)

Ελπίζω να λύθηκε το πρόβλημά σου...
Διανομή: Xubuntu 14.04 - [Launchpad | mixasgr (κ στο Ubuntu-gr)]

Γνώσεις ⇛ Linux: Καλό ┃ Προγραμματισμός: Καλός ┃ Αγγλικά: Καλά
Λειτουργικό ⇛ Xubuntu 14.04 64bit
Υπολογιστής ⇛ E8400 (3GHz,6MB) / 6GB RAM / NVIDIA 9600gt (512MB) / Όχι Wireless / Όχι Buetooth / RealTek ALC883 HD Audio Controller / 19" SXGA
Άβαταρ μέλους
mixasgr
Διαχειριστής
Διαχειριστής
 
Δημοσιεύσεις: 307
Εγγραφή: Κυρ Οκτ 18, 2009 3:49 pm
Τοποθεσία: Θεσσαλονίκη

  Το θέμα επιλύθηκε

Δημοσίευσηαπό ubuderix » Κυρ Φεβ 06, 2011 7:08 pm

Αφησα τα default αποθετηρια,διεγραψα την source.list που ειχα και εβαλα την λιστα της αρχικης εγκαταστασης.Εκανα update ,εβγαλε καποια κλειδια error τα εκανα εισαγωγη και τωρα ολα ΟΚ. Thumbup
Ευχαριστω και παλι
    Επιπεδο γνωσεων Linux :Προσπαθω Προγραμματισμος:Οχι Αγγλικα:Mετρια
    Λαπτοπ F/S amilo pi2530 Intel CentrinoDuo T7100 1.8ghz,2.012mb ram,160gb hd
    ubuntu 10.04 2.6.32-26-generic UTC 2010 x86_64 GNU/Linux,Mobility ati radeon X2100
    Dell Inspiron10netbook ubuntu10.04-11.04
    Εικόνα
ubuderix
babeTUX
babeTUX
 
Δημοσιεύσεις: 32
Εγγραφή: Παρ Ιουν 11, 2010 1:37 am


Επιστροφή στο Λειτουργικό Σύστημα



Μέλη σε σύνδεση

Μέλη σε αυτή την Δ. Συζήτηση : Δεν υπάρχουν εγγεγραμμένα μέλη και 1 επισκέπτης

cron